5 Replies Latest reply on May 22, 2006 3:59 AM by Stefan Heckler

    Problems with Oracle JDBC Driver 10.2.0.1.0

    Stefan Heckler Novice

      Hi all,

      since I changed the Oracle JDBC driver from V 10.1.0.4.0 to 10.2.0.1.0 (latest), I get the following error when trying to get a connection:

      Error using thin mode;

      15:15:54,328 WARN [JBossManagedConnectionPool] Throwable while attempting to get a new connection: null
      org.jboss.resource.JBossResourceException: Could not create connection; - nested throwable: (java.sql.SQLException: ORA-00604: error occurred at recursive SQL level 1
      ORA-12705: Cannot access NLS data files or invalid environment specified
      )



      Datasource (oci):
      <datasources>
       <local-tx-datasource>
       <jndi-name>OracleDS</jndi-name>
       <connection-url>jdbc:oracle:oci:@any-db</connection-url>
       <driver-class>oracle.jdbc.driver.OracleDriver</driver-class>
       <security-domain>OracleDbRealm</security-domain>
      <valid-connection-checker-class-name>org.jboss.resource.adapter.jdbc.vendor.OracleValidConnectionChecker</valid-connection-checker-class-name>
       <exception-sorter-class-name>org.jboss.resource.adapter.jdbc.vendor.OracleExceptionSorter</exception-sorter-class-name>
       <track-statements>nowarn</track-statements>
       <set-tx-query-timeout>false</set-tx-query-timeout>
       <prepared-statement-cache-size>200</prepared-statement-cache-size>
       <min-pool-size>5</min-pool-size>
       <max-pool-size>30</max-pool-size>
       <blocking-timeout-millis>5000</blocking-timeout-millis>
       <idle-timeout-minutes>15</idle-timeout-minutes>
       </local-tx-datasource>
      </datasources>
      
      


      Error using oci mode:

      16:03:09,062 WARN [JBossManagedConnectionPool] Throwable while attempting to get a new connection: null
      org.jboss.resource.JBossResourceException: Could not create connection; - nested throwable: (java.lang.NullPointerException)


      With ojdbc14.jar version 10.1.0.4.1 everything works fine, but 10.2.0.1.0 is the only Version compatible with JDK 5.0.

      see http://www.oracle.com/technology/tech/java/sqlj_jdbc/htdocs/jdbc_faq_0.htm#02_03


      Is this a Oracle or a JBoss problem? Is there anythig more I have to do switching the JDBC-Driver Version? I am fixed to use JDK Version 1.5, Oracle as Database and I am using Blobs > 4K (e.g. for HAJMS).

      Can anyone give me some hints?

      P.S I am using JBoss 3.2.7